## audiobookreader 0.1-5

=== Makefile ===
#############################################################################
# Makefile for building: audiobookreader
# Generated by qmake (2.01a) (Qt 4.7.0) on: Sun Dec 5 18:06:15 2010
# Project:  audiobookreader.pro
# Template: subdirs
# Command: /usr/bin/qmake -o Makefile audiobookreader.pro
#############################################################################

first: make_default
MAKEFILE      = Makefile
QMAKE         = /usr/bin/qmake
DEL_FILE      = rm -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p
COPY          = cp -f
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
INSTALL_FILE  = install -m 644 -p
INSTALL_PROGRAM = install -m 755 -p
INSTALL_DIR   = $(COPY_DIR)
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p
SUBTARGETS    =  \
		sub-src

src/$(MAKEFILE): 
	@$(CHK_DIR_EXISTS) src/ || $(MKDIR) src/ 
	cd src/ && $(QMAKE) /home/kunal/qt/audiobookreader/audiobookreader-0.1/src/src.pro -o $(MAKEFILE)
sub-src-qmake_all:  FORCE
	@$(CHK_DIR_EXISTS) src/ || $(MKDIR) src/ 
	cd src/ && $(QMAKE) /home/kunal/qt/audiobookreader/audiobookreader-0.1/src/src.pro -o $(MAKEFILE)
sub-src: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE)
sub-src-make_default: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) 
sub-src-make_first: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) first
sub-src-all: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) all
sub-src-clean: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) clean
sub-src-distclean: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) distclean
sub-src-install_subtargets: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) install
sub-src-uninstall_subtargets: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) uninstall

Makefile: audiobookreader.pro  /targets/FREMANTLE_X86/usr/share/qt4/mkspecs/linux-g++/qmake.conf /targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/g++.conf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/default_pre.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/release.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/include_source_dir.prf
	$(QMAKE) -o Makefile audiobookreader.pro
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/g++.conf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/unix.conf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/linux.conf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/qconfig.pri:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt_functions.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt_config.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/default_pre.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/release.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/default_post.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/warn_on.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/unix/thread.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/moc.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/resources.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/uic.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/yacc.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/lex.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/include_source_dir.prf:
qmake: qmake_all FORCE
	@$(QMAKE) -o Makefile audiobookreader.pro

qmake_all: sub-src-qmake_all FORCE

make_default: sub-src-make_default FORCE
make_first: sub-src-make_first FORCE
all: sub-src-all FORCE
clean: sub-src-clean FORCE
distclean: sub-src-distclean FORCE
	-$(DEL_FILE) Makefile
install_subtargets: sub-src-install_subtargets FORCE
uninstall_subtargets: sub-src-uninstall_subtargets FORCE

sub-src-check: src/$(MAKEFILE)
	cd src/ && $(MAKE) check
check: sub-src-check

mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all
install: install_subtargets  FORCE

uninstall:  uninstall_subtargets FORCE

FORCE:

=== src/Makefile ===
#############################################################################
# Makefile for building: audiobookreader
# Generated by qmake (2.01a) (Qt 4.7.0) on: Sun Dec 5 18:06:15 2010
# Project:  src.pro
# Template: app
# Command: /usr/bin/qmake -o Makefile src.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DDATADIR="/usr/local/share" -DPKGDATADIR="" -DQT_NO_DEBUG -DQT_PHONON_LIB -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -O2 -Wall -W -D_REENTRANT $(DEFINES)
CXXFLAGS      = -pipe -O2 -Wall -W -D_REENTRANT $(DEFINES)
INCPATH       = -I/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/linux-g++ -I. -I/targets/FREMANTLE_X86/usr/include/QtCore -I/targets/FREMANTLE_X86/usr/include/QtGui -I/targets/FREMANTLE_X86/usr/include/phonon -I/targets/FREMANTLE_X86/usr/include -I. -I/usr/include/phonon_compat -I.
LINK          = g++
LFLAGS        = -Wl,-O1
LIBS          = $(SUBLIBS)  -L/usr/lib -lphonon -L/usr/lib -L/usr/X11R6/lib -lQtGui -lQtDBus -lQtXml -lQtCore -lpthread 
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = ./

####### Files

SOURCES       = main.cpp \
		readwidget.cpp \
		booklistwidget.cpp \
		control.cpp moc_readwidget.cpp \
		moc_booklistwidget.cpp \
		moc_control.cpp \
		moc_listitemdelegate.cpp \
		qrc_audiobookreader.cpp
OBJECTS       = main.o \
		readwidget.o \
		booklistwidget.o \
		control.o \
		moc_readwidget.o \
		moc_booklistwidget.o \
		moc_control.o \
		moc_listitemdelegate.o \
		qrc_audiobookreader.o
DIST          = /targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/g++.conf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/default_pre.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/release.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		src.pro
QMAKE_TARGET  = audiobookreader
DESTDIR       = 
TARGET        = audiobookreader

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET)

$(TARGET):  $(OBJECTS)  
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)

Makefile: src.pro  /targets/FREMANTLE_X86/usr/share/qt4/mkspecs/linux-g++/qmake.conf /targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/g++.conf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/default_pre.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/release.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		/usr/lib/libphonon.prl \
		/usr/lib/libQtGui.prl \
		/usr/lib/libQtDBus.prl \
		/usr/lib/libQtXml.prl \
		/usr/lib/libQtCore.prl
	$(QMAKE) -o Makefile src.pro
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/g++.conf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/unix.conf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/linux.conf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/qconfig.pri:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt_functions.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt_config.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/default_pre.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/release.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/default_post.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/warn_on.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/unix/thread.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/moc.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/resources.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/uic.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/yacc.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/lex.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/include_source_dir.prf:
/usr/lib/libphonon.prl:
/usr/lib/libQtGui.prl:
/usr/lib/libQtDBus.prl:
/usr/lib/libQtXml.prl:
/usr/lib/libQtCore.prl:
qmake:  FORCE
	@$(QMAKE) -o Makefile src.pro

dist: 
	@$(CHK_DIR_EXISTS) .tmp/audiobookreader1.0.0 || $(MKDIR) .tmp/audiobookreader1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) .tmp/audiobookreader1.0.0/ && $(COPY_FILE) --parents readwidget.h audiobook.h booklistwidget.h control.h listitemdelegate.h .tmp/audiobookreader1.0.0/ && $(COPY_FILE) --parents audiobookreader.qrc .tmp/audiobookreader1.0.0/ && $(COPY_FILE) --parents main.cpp readwidget.cpp booklistwidget.cpp control.cpp .tmp/audiobookreader1.0.0/ && (cd `dirname .tmp/audiobookreader1.0.0` && $(TAR) audiobookreader1.0.0.tar audiobookreader1.0.0 && $(COMPRESS) audiobookreader1.0.0.tar) && $(MOVE) `dirname .tmp/audiobookreader1.0.0`/audiobookreader1.0.0.tar.gz . && $(DEL_FILE) -r .tmp/audiobookreader1.0.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


check: first

mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all: moc_readwidget.cpp moc_booklistwidget.cpp moc_control.cpp moc_listitemdelegate.cpp
compiler_moc_header_clean:
	-$(DEL_FILE) moc_readwidget.cpp moc_booklistwidget.cpp moc_control.cpp moc_listitemdelegate.cpp
moc_readwidget.cpp: readwidget.h
	/usr/bin/moc $(DEFINES) $(INCPATH) readwidget.h -o moc_readwidget.cpp

moc_booklistwidget.cpp: booklistwidget.h
	/usr/bin/moc $(DEFINES) $(INCPATH) booklistwidget.h -o moc_booklistwidget.cpp

moc_control.cpp: booklistwidget.h \
		readwidget.h \
		control.h
	/usr/bin/moc $(DEFINES) $(INCPATH) control.h -o moc_control.cpp

moc_listitemdelegate.cpp: audiobook.h \
		listitemdelegate.h
	/usr/bin/moc $(DEFINES) $(INCPATH) listitemdelegate.h -o moc_listitemdelegate.cpp

compiler_rcc_make_all: qrc_audiobookreader.cpp
compiler_rcc_clean:
	-$(DEL_FILE) qrc_audiobookreader.cpp
qrc_audiobookreader.cpp: audiobookreader.qrc \
		icon/audiobookreader.png \
		icon/stop.png
	/usr/bin/rcc -name audiobookreader audiobookreader.qrc -o qrc_audiobookreader.cpp

compiler_image_collection_make_all: qmake_image_collection.cpp
compiler_image_collection_clean:
	-$(DEL_FILE) qmake_image_collection.cpp
compiler_moc_source_make_all:
compiler_moc_source_clean:
compiler_uic_make_all:
compiler_uic_clean:
compiler_yacc_decl_make_all:
compiler_yacc_decl_clean:
compiler_yacc_impl_make_all:
compiler_yacc_impl_clean:
compiler_lex_make_all:
compiler_lex_clean:
compiler_clean: compiler_moc_header_clean compiler_rcc_clean 

####### Compile

main.o: main.cpp readwidget.h \
		control.h \
		booklistwidget.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o main.o main.cpp

readwidget.o: readwidget.cpp readwidget.h \
		audiobook.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o readwidget.o readwidget.cpp

booklistwidget.o: booklistwidget.cpp booklistwidget.h \
		listitemdelegate.h \
		audiobook.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o booklistwidget.o booklistwidget.cpp

control.o: control.cpp control.h \
		booklistwidget.h \
		readwidget.h \
		audiobook.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o control.o control.cpp

moc_readwidget.o: moc_readwidget.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_readwidget.o moc_readwidget.cpp

moc_booklistwidget.o: moc_booklistwidget.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_booklistwidget.o moc_booklistwidget.cpp

moc_control.o: moc_control.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_control.o moc_control.cpp

moc_listitemdelegate.o: moc_listitemdelegate.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_listitemdelegate.o moc_listitemdelegate.cpp

qrc_audiobookreader.o: qrc_audiobookreader.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o qrc_audiobookreader.o qrc_audiobookreader.cpp

####### Install

install_target: first FORCE
	@$(CHK_DIR_EXISTS) $(INSTALL_ROOT)/usr/bin/ || $(MKDIR) $(INSTALL_ROOT)/usr/bin/ 
	-$(INSTALL_PROGRAM) "$(QMAKE_TARGET)" "$(INSTALL_ROOT)/usr/bin/$(QMAKE_TARGET)"
	-$(STRIP) "$(INSTALL_ROOT)/usr/bin/$(QMAKE_TARGET)"

uninstall_target:  FORCE
	-$(DEL_FILE) "$(INSTALL_ROOT)/usr/bin/$(QMAKE_TARGET)"
	-$(DEL_DIR) $(INSTALL_ROOT)/usr/bin/ 


install_desktop: first FORCE
	@$(CHK_DIR_EXISTS) $(INSTALL_ROOT)/usr/share/applications/hildon/ || $(MKDIR) $(INSTALL_ROOT)/usr/share/applications/hildon/ 
	-$(INSTALL_FILE) /home/kunal/qt/audiobookreader/audiobookreader-0.1/src/icon/audiobookreader.desktop $(INSTALL_ROOT)/usr/share/applications/hildon/


uninstall_desktop:  FORCE
	-$(DEL_FILE) -r $(INSTALL_ROOT)/usr/share/applications/hildon/audiobookreader.desktop
	-$(DEL_DIR) $(INSTALL_ROOT)/usr/share/applications/hildon/ 


install_icon64: first FORCE
	@$(CHK_DIR_EXISTS) $(INSTALL_ROOT)/usr/share/icons/hicolor/64x64/hildon/ || $(MKDIR) $(INSTALL_ROOT)/usr/share/icons/hicolor/64x64/hildon/

## audiobookreader 0.1-1

=== debian/changelog ===
audiobookreader (0.1-1) unstable; urgency=low

  * Initial release (Closes: #nnnn)  <nnnn is the bug number of your ITP>

 -- Kunal Parmar <pkunal.parmar@gmail.com>  Sat, 26 Sep 2009 11:38:46 +0530

=== debian/control ===
Source: audiobookreader
Section: user/utilities
Priority: extra
Maintainer: kunal parmar <pkunal.parmar@gmail.com>
Build-Depends: debhelper (>= 5), libqt4-dev, libqt4-core, libqt4-gui, libqt4-phonon
Standards-Version: 3.7.2
XSBC-Bugtracker: mailto:pkunal.parmar@gmail.com
XB-Maemo-Display-Name: Audiobook Reader

Package: audiobookreader
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Simple Audiobook reader
 Simple Audiobook reader.
 Add Audio -> use to add large audio file with whole audiobook
 Add Folder -> use to add Folder that has multiple audio file contaning audiobook
XB-Maemo-Icon-26: 
 iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAAAXNSR0IArs4c
 6QAAAAZiS0dEAP8A/wD/oL2nkwAAAAlwSFlzAAALEwAACxMBAJqcGAAAAAd0
 SU1FB9oGBQ07Kig+JcYAABA6SURBVGjelZppsGVVdcd/a+997n1jv27o1695
 0ANBhm6FBhOFJmAkApVKFIkaUhoqH5KYRIn5kKqoKRPzwZBgZbJiaRk1ViqS
 mA+h4kSMhcaBlJREQAFpoaHttunh9fT6DXc8Z6+VD3ufe+9rugFv1+l3zr1n
 WGvt/5r+68gH/vMB7v7VW3j3vfdf/9SBQ39+ut19Q6vb8yK8+Mde+NXwGsEA
 h2GSzjVk7YVnXv9Sz8snnTc5vrhheupTv3LtZX/zBzfuPi4Ad9//zff+68N7
 PoyBycu600AAWfsfIiAGJiBIPs8Gx5YvNKv//jQKYOkRRsO5ld/9hat3yvv+
 7ctb799z8IAFbzZqxJe0hSQpARFDRBBJlhdARNaYOQksWQrDNKligJhgYmdf
 1nNposYr1k9+Ljx1+MT1USOOl0bNUH/B5QcmwV2yfP4LkhXQEQUytMwwU/CC
 WVKsXhW1WgId3OesYpiBYPuPn3x72H/s5BYrmi+JFbMsKIYTcOIQVwtriEsm
 EJG0AiaAG8DDBncTVJMQaum+SQkQ07Qq5gDFzLIhzvQ1wcykU0ZCtyzVn0OB
 +gYJW0kw75JQziVhnYB3HsxwIgOjiVhWwDJoak0M7xwGqEE0xUxQNQyXFJPa
 YGvlOFvQCC+Bl8GNnBNchoZzghNJFs8xx3k3sE79sNGHGgZmQ4ubpevwmCgR
 IdYrESNRJJ+rL+rh4cWEB8G55LCOJLRz4GtlXFLOi0OcSwILiEsQEmqfSUFU
 s5+q6kCJtA/iBTFh7PRhVmYuwpU9NK9iCgBnd3B3bss7RBIsvHN45wheKJzH
 i+C94J0QvMcXHh/y795RiKPhXdp30HCO4NJ+8EIIjlB4fPB4nzbxwlV6kA9f
 fYj5/qF0X3E5wiVInS2BhHPDxtINyFZ2Ce/OgXMOcYJzLkMp/V7Dq35IgtAI
 jMyN4N1QhChChePq1lP82RumWTd9BR9oHOT9T8+yguDVEc1Azg4lt9ZpGThs
 7aQ+W6+OPM45nBf8iIVDEHwQgq9XKlD4MLCu9z5Z1HuCc4Tg8N4RAgTnuYoj
 /Mnr1zOzYQYR4erL57nrvEdpiGRDJRCfDUVurVcPHXHgsEKONAk2bgRO3kEI
 Hu8chQsU3id4BCEEoenT1vDpuMjQCd6lzTm8j/gLdrJhdiOYB/EocOtrtvDz
 E0dAfPI9ySuag8A5ndiJw6GI+IHD+jryOAdjnkoiM/tOsPlQm3UrFeqgtT5w
 /OJpqssupGEeVynkADAsG1LsVxHUAlEiiPDMiUU+8+wG3nXpAmVM1g6F53cu
 PcbjT57PojUwEQTFEqgH9zyLD1gW3uFdsr44QXxgsh+58sHD3PHVDlc2L6Ix
 vQkKB1UFrS6t5RM8zNf46ju2cex1P0NVNIclXJ11zVAnTC4eoNPcQCtMIiLc
 /+MuOzds5Ib1R4jZ0lu3bOKtB5/jnxZ3IuYQM0QMHSZ4/Pm7b77eh8at4kOG
 TMZ5Do/OCdL0XPfQIn95n+f29hYuvGgLbuMkMtHEGgGaHpnwNKamuHh8jtf/
 wNjxwH6em4t0tp+Hq/ODcxA8c4v7+eMbNjHbPswPqw2DWm7PouOW+Q5BIqYl
 WlXMjff5+uJmumWFiEs+mn1Vq/6ID9iwCJNBVIHgPb/xlRZ//b0LuOCKi5Gt
 G7BN03DeNLZuHJoBaQSsaECjCUXAT49zebGZu77SY2ysQfA++wrMLe7j968Z
 Z/b8aW7dvYOb/LPJob1juVfyxSMbKahyplZmpx03hn0wMHCd7VNucaNpuS7G
 UsJyWEO481t93nl6G+yaR86bQKbHkKkmMjMGGydhfj3WbEKjAQ2fViQEWtOe
 T92zC9evKJxQOGE2GO+5dooLL9yIxT4ae9x+zRxzvp/8LXi+cMBxohzDUsEE
 Ity2+TDjTkYy/TCiurW1uOV6JznJLz9W8c69s/gLZ6DpoRGgmSBjDY80svU3
 z0DDQ/AQGpzcNsnffXwHi0RCCAQfCN7R9mP8yLYStItQYRaZmRrjzZP7CD7g
 RSirkgePTedKVoka2TI3xja3kIvHupiXHHTqr3KCqivHcWe8+/sz6PapJFzh
 EC9Q5P3CQRAsCC4ITI9jLrA65fnkB+dZKvs0w0hYdQ4nxhcPKQd745j2MOtj
 scfuV84yzxLOQeEcj5wqcFqCxrQS8Tg7Jw5miCeEDKKmnZExRQQLjrc86dkY
 xpHJcSSnYCsEiqSENTwEQbxLtf1kk9VJx0f/dCMnuz2cS8lusAWfkh/GA8fG
 8dZHtMKsxIvy6g0dEIdzsL81Tqffx6wEq6D1BDsnn0elGBaK1DXaGQnaSUo4
 v/3tAhv3EFIsNSEL66DwiHOYd5gTTBxLG4SPfXCGU65MiS4UWKzoLS0RfDGi
 jGfv6hgrvYjEDqLJF3ZMrRJ8QBA6MXKgtR7TEusv4GixfeowwRfDEkXWQEhG
 2kDhsgVjYmpiTeau28Vh027U3/So+Mc7Isc7HbwTGsERj+5j/dc+wq79n6P6
 4j3I6hJBEkwrK3lkdQ7TLlr20FgyXywz3kxNkpmypz2NxD5u9bv4oFwwdZxG
 GF/bqoqNJLKskYmxfcVDoUhUqBTzgphBVHJpiKhhEZbHIh9/W8VCr0vhHYKj
 sXyE24pvcPk7diE+YOr53ye/zndnfo1YVXgHT3enuXGsi4rDNDLZqFhnfVZN
 cU441BnDuQexEPFNmC7aTHiliw4MnqKQ5O7J6igknNf3qYdVg9UuEg0qQyqw
 fsTKilgpLVE+dnuXw/02LicqcY6r9GEuuWiMqt8l9jrE2OWGHVPMLj2b+wrH
 cnT0+n206qGxh0jJjPTAeQRYiYbYcUJTcGPC2LTS9P1BqLeBAnYmpwMBRaqY
 nGy5i1WKlRHKiFSG9A3Xr3jMHWGf9VJstmHJsHniOCx/DW3/mEorrOqD9dk2
 HbOJ0nmx7KBVB6u6WOwR3DCpRhP8GPgJIUwYYTJ1b9gaYCcnNht2rRi0GkC/
 wsqIlCVyZAnrlkmRfgX9iPWNGw+s57Z/OYEFl6gSM7DIyalXUfguoft/yOlv
 Yt0DWPcUz49fhpmiGIVWWOyisY+WK9DaT18cmGICDVr4KYefMPyUwJijUp+b
 fhsQNG4tq5TS9JEpoFdCWSFlhfX6uIVl7OgSrPSg1UdWOlinzZuenOKWTx4g
 Bhn0jI/Emzgy9hrCmOHdSYrWd3hEL+FgO9UrasL0yjP41e/BqQeQxf+C1kOc
 ZuMgnc66oxTTQpgyGDfKokmrKtYwfwBhwBnYcFn2zgGtdqpVzZBMg7gqQruH
 SaoMzQyC8cYnJrBPHeB/3nMJzY7S7rf4XPE+5t1PmCiWOFVs4pjOodpFzTBp
 cPHp+ygmD6DOIR7a7iIWFzQzE8L2yb2EacGaQAMW27O0y/ZIow+YDKOQAh5D
 NXJUKn7w2il2/aCTyz6D6MB7yLWI1U5fRaSAN39D6dqTPPzOnZgq7X6HfWzC
 2JTt0iWqomo0egvsmnsKN9lIt3TG8/2ddMsWmBGs4IrZx2BCkADmhOdX5qmq
 3tD2ZphY7QM2cCwzkG7k73+pQdQS63Wh24ZuFzo96Pag04fOyHG3CxPGW79p
 XPPpx+mPFaga0QzNWxUVVaVS5dL4DTZtLWjMQGOdUayHx3uvwmlFNFgnC1y8
 tQ0NMAeqxp6j2xAph0RbJs9CfTTgajIJu7fd5uFrxtj9nRaMRaQqMeczZ0KO
 OhGipZolRoJT7vxCG8L3efi3rsT3q+xfiQtVhNBe4Jat9+FnGuknlyjIRxZ3
 ErVEo3L5huco1gkWQaNQ9Ywnjl6AAyodEsM6dOJMPZllxCgqxofeNsPinIN+
 mbZeD+l1kW4Xeh3o9ge/SaySIjNjvP3zba759KNUApVGSlVKVag63L7xQ2x/
 ZYGfIm0TFV859i6OrsbM1BVct/khYt9T9oTuCrRP93jixLY1vfAL+gEb+LFk
 zhIWF5b4o7tmOTWjUJZILKGqtwqy0FjMmEzklJ9qcuf9JT937x5KJ8SYoOO9
 sOPKjeAiFIYFWNQ57nvqVUBFVGNWD/Gz83votYz2aaOzFHns0A0cXnVobug1
 G3otK2HJMzU7WsyN595Oi3f/xSX88JXjRM2CjvzDUqM9gFVNSjcDrz2UolW/
 ilRROd017n74b1lY3U6sDGLJvY/fxXKvR4wCprxp9jMEa9I6BZ1TQve48O8H
 34LGzhomuw6l/vzdN18vjcatLviUJWu+U1JfbAirrS7f3jXJ0Zs2Mf/oETac
 FiSERMM4N6BjAGhH9m2J3PdXV3Pf9evo9ssEy5is1u61eeTYTeyaeIgv7f89
 vvzcBclgMXKB/pg7XvEgZVvoLkNvGQ4uX8i9h3ehmihJrQ2HoWW5lpWoM7KR
 Tq5ECAKmwkrZ50uiPHTPlVxxcJWrnlrlouMl063EMrTHhUMXNXn6qnX8ZPs6
 Vk6uEnp12WuDuYCpcehUyQcfvYflbhuLJZUqRW+Ft0x8lLhS0O9B7IF0Wtwf
 76CsMp/KGZXE2XghywhwGKqG4uuQg/fKqaNLfLcJj7x6kuA9znu8T4r73Nn5
 hRUAKhkha2yYUgzlRGspcURR8eK4uf0Jts836Jw0Yt+IFfykcTMPHN+EaTtd
 rxmjcg5iS0QziSqoGWIORXHepyoh6kjJYUBELKKahh8mIOpQ98ICcWA9rXND
 ygsmBdcu/DO7Nx+hdSpgmoceVcm9/VuxqpuVroXXNQSve8HkSyw304qZUhlU
 qumhGataJSevNFmqivk4pia8rCqqmBy3ikpZRaoqUlUVlUaqGFNkitDv9dl/
 yR+yrPNoCRYF0ZL/Xv9enjsNqjEpa4aKDUZVowrImUrUAzkl4VYNKjW0ZpRV
 iVEpY4rxlUG/MqqYMm7MWy102s/XVEoVjTJmxc3Yu7DApxvvpyeTOIs8OvZG
 Pn9oGtM4MltLcefMQY0//7o37HSN5m3O+zXN2RpNzQY3qQd7ZozwnZZnwYn2
 MxVMIeaeyBRUEwIjlv7qEEZqyomVLs9O3kLwgc+u3kzZ62YDphYzRWpbY+8U
 hURmzjpEHZlPKZY9W0DrKYLgLc/K8phUbTihdFnvEX9LPH82Qj3oS/0BmDie
 OdniR3YtpkuDZKV5PiacfT7wEjMySxNDYaCESXZwSVWi0xSxRCzPIBLpFFk7
 mBtlqOtFVQNF8irUI6d6+JFioQzmx2efkwUn5xoPyyAygWDqkg1EU+9raX6l
 GN7VXNkAe7lXtWExN3Kk9cqq5bGrDZlrS2N+w+Vn24vOi8OO+bn+jxZXX8Zo
 XrPVBFevgCpOEt4ZOJgM+Es3nE/mMCqD+e9wWjnMrTqY5emIzHKu2bWJIKEZ
 3LespntBXjiTlTW7qW/Q7LQOyyvkREZif+KMNPNMyQmHk/m6hRpkfpXBfajf
 AHgRq+e3AGTLhvWPC8Cb/+GzDz19on1dnj+/zNclErcxWgbVD5WBJme8yWGD
 Vz2ytZJvpSDAT/GuhIBZ9bpL539Rslbh1z/xH3c/c3jhve2yqokPfrqPvGDV
 h+oMX1dgjQov/5Nf00ANNk9PHr1y2+bf/Pidb3rg/wEyAlQpZp5ttgAAAABJ
 RU5ErkJggg==

## audiobookreader 0.1-2

=== debian/changelog ===
audiobookreader (0.1-2) unstable; urgency=low

  * Fixed control file (Closes: #nnnn)  <nnnn is the bug number of your ITP>

 -- Kunal Parmar <pkunal.parmar@gmail.com>  Sat, 5 Jun 2010 08:02:46 +0530

=== debian/control ===
--- 
+++ 
@@ -11,9 +11,8 @@
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: Simple Audiobook reader
- Simple Audiobook reader.
- Add Audio -> use to add large audio file with whole audiobook
- Add Folder -> use to add Folder that has multiple audio file contaning audiobook
+ Simple audiobook reader, use add audio- to add audio file that has whole book
+ Add folder - to add folder that has multiple audio file that contain book.
 XB-Maemo-Icon-26: 
  iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAAAXNSR0IArs4c
  6QAAAAZiS0dEAP8A/wD/oL2nkwAAAAlwSFlzAAALEwAACxMBAJqcGAAAAAd0

## audiobookreader 0.1-3

=== debian/changelog ===
audiobookreader (0.1-3) unstable; urgency=low

  * Fixed control file (Closes: #nnnn)  <nnnn is the bug number of your ITP>

 -- Kunal Parmar <pkunal.parmar@gmail.com>  Sat, 5 Jun 2010 08:02:46 +0530

=== debian/control ===
--- 
+++ 
@@ -6,13 +6,12 @@
 Standards-Version: 3.7.2
 XSBC-Bugtracker: mailto:pkunal.parmar@gmail.com
 XB-Maemo-Display-Name: Audiobook Reader
+Homepage: http://kunalmaemo.blogspot.com/
 
 Package: audiobookreader
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: Simple Audiobook reader
- Simple audiobook reader, use add audio- to add audio file that has whole book
- Add folder - to add folder that has multiple audio file that contain book.
 XB-Maemo-Icon-26: 
  iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAAAXNSR0IArs4c
  6QAAAAZiS0dEAP8A/wD/oL2nkwAAAAlwSFlzAAALEwAACxMBAJqcGAAAAAd0

## audiobookreader 0.1-4

=== debian/changelog ===
audiobookreader (0.1-4) unstable; urgency=low

  * Minor bug solved (Closes: #nnnn)  <nnnn is the bug number of your ITP>

 -- Kunal Parmar <pkunal.parmar@gmail.com>  Sat, 5 Jun 2010 08:02:46 +0530

## audiobookreader 0.1-5

=== debian/changelog ===
audiobookreader (0.1-5) unstable; urgency=low

  * Crash bug solved and some minor improvements

 -- Kunal Parmar <pkunal.parmar@gmail.com>  Sun, 5 Dec 2010 08:02:46 +0530

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,6 @@
 Standards-Version: 3.7.2
 XSBC-Bugtracker: mailto:pkunal.parmar@gmail.com
 XB-Maemo-Display-Name: Audiobook Reader
-Homepage: http://kunalmaemo.blogspot.com/
 
 Package: audiobookreader
 Architecture: any
@@ -109,4 +108,3 @@
  Vz2ytZJvpSDAT/GuhIBZ9bpL539Rslbh1z/xH3c/c3jhve2yqokPfrqPvGDV
  h+oMX1dgjQov/5Nf00ANNk9PHr1y2+bf/Pidb3rg/wEyAlQpZp5ttgAAAABJ
  RU5ErkJggg==
-

=== debian/rules ===
#!/usr/bin/make -f
APPNAME := audiobookreader
builddir:
	mkdir -p builddir

builddir/Makefile:builddir
	cd builddir && qmake-qt4 PREFIX=/user ../$(APPNAME).pro

build: build-stamp

build-stamp: builddir/Makefile 
	dh_testdir

	# Add here commands to compile the package.
	cd builddir && $(MAKE)

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp 

	# Add here commands to clean up after the build process.
	rm -rf builddir

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	cd builddir && $(MAKE) INSTALL_ROOT=$(CURDIR)/debian/$(APPNAME) install


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
